/* About Us Page Styles */
.about-us-content {
  display: grid;
  gap: 0.8rem;

  .about-us-content-title {
    color: #161b1f;
    font-size: 2.4rem;
    line-height: 5.9rem;
  }

  .about-us-content-text {
    color: #000;
    font-weight: 500;
    line-height: 160%;
  }
}

@media (max-width: 780px) {
  .about-us-content {
    .about-us-content-title {
      font-size: 1.8rem;
      line-height: 4rem;
    }
  }
}

.business-section {
  background-color: #f8f6f3;
  padding-top: 8rem;
  padding-bottom: 10rem;

  .transformation-history {
    margin-top: 3.2rem;
    margin-bottom: 6rem;

    .story-flow-section {
      margin-top: 4rem;
      position: relative;
      background-color: #7f7f7f;
      transition: background-color 0.6s ease;

      .story-flow-item {
        position: relative;
        height: 100vh;
        display: flex;
        align-items: stretch;
      }

      .story-flow-image-wrapper {
        position: absolute;
        left: 0;
        top: 0;
        width: 50%;
        height: 100%;
        overflow: hidden;
      }

      .story-flow-image {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
        opacity: 0;
        transition: opacity 0.6s ease;
      }

      .story-flow-image.active {
        opacity: 1;
      }

      .story-flow-content {
        margin-left: 50%;
        width: 50%;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        padding-top: 28vh;
        color: #fff;
      }

      .story-flow-text {
        width: calc(492 / 1280 * 100vw);
        margin: 0 auto;
      }

      .text-group {
        margin-top: 40vh;
      }

      .text-group:first-child {
        margin-top: 0;
      }

      .story-flow-text-heading {
        font-family: "Shippori Mincho", serif;
        font-size: 3.2rem;
        font-weight: 700;
        line-height: 160%;
        letter-spacing: 2%;
        margin-bottom: 3.2rem;
      }

      .story-flow-text-paragraph {
        line-height: 200%;
        letter-spacing: 2px;
        font-weight: 500;
      }
    }
  }

  .business-model {
    margin-bottom: 10rem;

    .business-model-image {
      margin-top: 4rem;
    }
  }

  .strengths-section {
    .strengths-grid {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      gap: 2rem;
      margin-top: 2rem;

      .strengths-grid-item {
        background-color: #4f4f4f;
        border-radius: 2rem;
        color: #fff;
        padding: 3.2rem;
      }

      .label-title {
        color: #fff;
        font-size: 2.4rem;
        margin-bottom: 2.4rem;

        &::before {
          height: 3.1rem;
        }
      }

      .strengths-grid-item-image {
        width: 100%;
        height: 20rem;
        object-fit: cover;
        border-radius: 0.8rem;
      }

      .strengths-grid-item-list {
        margin-top: 2.4rem;
      }

      .strengths-grid-item-list-item {
        display: flex;
        gap: 0.8rem;

        &::before {
          content: "•";
        }
      }
    }
  }
}

@media (max-width: 780px) {
  .business-section {
    padding-top: 3.8rem;
    padding-bottom: 6rem;

    .transformation-history {
      .story-flow-section-sp {
        display: grid;
        gap: 1.6rem;
        margin-top: 2rem;
      }

      .story-flow-image-wrapper-sp {
        color: #fff;
        background-color: #4f4f4f;

        &:nth-child(2) {
          background-color: #222222;
        }
        &:nth-child(3) {
          background-color: #000000;
        }
      }

      .story-flow-image-sp {
        height: 20rem;
        width: 100%;
        object-fit: cover;
      }

      .story-flow-text-heading-sp {
        font-family: "Shippori Mincho", serif;
        font-size: 1.8rem;
        font-weight: 700;
        padding-top: 3.2rem;
        padding-left: 2rem;
        padding-right: 2rem;
        margin-bottom: 2.8rem;
        line-height: 160%;
        letter-spacing: 2px;
      }

      .story-flow-text-paragraph-sp {
        line-height: 180%;
        letter-spacing: 2px;
        padding-left: 2rem;
        padding-right: 2rem;
        padding-bottom: 3.2rem;
      }
    }

    .business-model {
      margin-bottom: 6rem;

      .business-model-image-scroll {
        display: none;
      }

      .business-model-image-wrapper {
        margin-top: 2.8rem;
      }
    }

    .strengths-section {
      .strengths-grid {
        grid-template-columns: 1fr;
        gap: 1.6rem;

        .strengths-grid-item {
          border-radius: 1rem;
          padding: 2rem 1.6rem;
        }

        .label-title {
          font-size: 1.4rem;
          margin-bottom: 1.6rem;

          &::before {
            height: 2rem;
          }
        }

        .strengths-grid-item-image {
          height: 14rem;
          object-position: 50% 30%;
        }

        .strengths-grid-item-list {
          margin-top: 1.6rem;
        }

        .strengths-grid-item-list-item {
          line-height: 160%;
          gap: 0rem;
        }
      }
    }
  }
}

@media (max-width: 600px) {
  .business-section {
    .business-model {
      .business-model-image-wrapper {
        width: 100%;
        height: 50rem;
        overflow: scroll;
        background-color: #1e1e1e;
        margin-left: 0;
        margin-right: 0;

        .business-model-image-scroll {
          display: block;
          position: absolute;
          top: 50%;
          left: 50%;
          transform: translate(-50%, -50%);
          width: 4rem;
          transition: opacity 0.3s ease;
        }

        .business-model-image {
          margin-top: 0;
          height: 100%;
          min-height: 80rem;
          background-color: #f8f6f3;
          opacity: 40%;
          max-width: none;
          padding: 2rem;
          transition: opacity 0.3s ease;
        }

        &.scrolled {
          background-color: #f8f6f3;

          &::before {
            opacity: 0;
          }

          .business-model-image-scroll {
            opacity: 0;
          }

          .business-model-image {
            opacity: 100;
          }
        }
      }
    }
  }
}

.sustainability-section {
  position: relative;
  padding: 8rem 0;
  color: #fff;

  .sustainability-section-bg-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
  }

  .sustainability-content-title {
    font-size: 2.4rem;
    line-height: 5.9rem;
    margin-top: 4rem;
    margin-bottom: 2rem;
  }

  .sustainability-content-text {
    font-weight: 500;
    margin-bottom: 4rem;
  }

  .sustainability-activities-link {
    height: 26.5rem;
    display: block;
    position: relative;
    padding: 2.3rem 6rem;
    overflow: hidden;

    .sustainability-activities-link-bg-image {
      position: absolute;
      top: 0;
      left: 0;
      object-fit: cover;
      object-position: center 32%;
      width: 100%;
      height: 100%;
      z-index: 10;
      transition: transform 0.3s ease;
    }

    .sustainability-activities-link-text {
      position: relative;
      z-index: 20;
      display: block;
      font-family: "Montserrat", sans-serif;
      font-weight: 500;
      letter-spacing: 0;
      line-height: 100%;
      font-size: 1.8rem;
      margin-bottom: 1.6rem;
    }

    .sustainability-activities-link-sub-text {
      position: relative;
      z-index: 20;
      display: block;
      font-size: 2.2rem;
      letter-spacing: 0;
      line-height: 100%;
    }

    .sustainability-activities-link-arrow {
      position: absolute;
      width: 5.4rem;
      z-index: 20;
      bottom: 2rem;
      right: 2rem;
      transition: opacity 0.3s ease;
    }

    &:hover {
      .sustainability-activities-link-bg-image {
        transform: scale(1.05);
      }

      .sustainability-activities-link-arrow:last-child {
        opacity: 0;
      }
    }
  }
}

@media (max-width: 780px) {
  .sustainability-section {
    padding: 4.8rem 0;

    .main-title-text {
      font-size: 3.8rem;
    }

    .sustainability-content-title {
      font-size: 1.8rem;
      line-height: 4rem;
      margin-top: 2rem;
      margin-bottom: 1.4rem;
    }

    .sustainability-content-text {
      margin-bottom: 2rem;
    }

    .sustainability-activities-link {
      height: 17rem;
      padding: 1.4rem 1.7rem;

      .sustainability-activities-link-bg-image {
        object-position: 50%;
      }

      .sustainability-activities-link-text {
        font-size: 1.3rem;
        margin-bottom: 1.2rem;
      }

      .sustainability-activities-link-sub-text {
        font-size: 1.5rem;
      }

      .sustainability-activities-link-arrow {
        width: 4rem;
        bottom: 1.3rem;
        right: 1.3rem;
      }
    }
  }
}

.data-section {
  padding-top: 11rem;
  padding-bottom: 16rem;

  .container {
    display: grid;
    gap: 4.8rem;
  }

  .data-grid {
    display: grid;
    gap: 2rem;
  }

  .data-grid-item {
    background-color: #c1549a;
    color: #fff;
    font-size: 2.4rem;
    text-align: center;
    line-height: 4.7rem;
  }
}

@media (max-width: 780px) {
  .data-section {
    padding-top: 4rem;
    padding-bottom: 6rem;

    .container {
      display: grid;
      gap: 3.2rem;
    }

    .data-grid {
      display: grid;
      gap: 0.8rem;
    }

    .data-grid-item {
      font-size: 1.4rem;
      line-height: 100%;
      padding: 1rem 1.5rem;
    }

    .data-grid-image {
      margin: 0 auto;
      max-width: 50rem;
      width: 100%;
    }
  }
}

.history-section {
  padding-bottom: 2rem;
  overflow: hidden;

  .history-scroll-container {
    position: relative;
    margin-top: 8rem;
    margin-bottom: 8rem;
  }

  .history-scroll-wrapper {
    position: relative;
    height: 54rem;
    overflow-x: auto;
    overflow-y: hidden;
    -webkit-overflow-scrolling: touch;
    touch-action: pan-x;
  }

  .history-image {
    height: 100%;
    width: auto;
    max-width: none;
    display: block;
  }
}

@media (max-width: 780px) {
  .history-section {
    .history-scroll-container {
      margin-top: 5.5rem;
      margin-bottom: 0;
    }

    .history-scroll-wrapper {
      height: 40rem;
    }
  }
}
